Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.resultsummary.search
Class LuceneBuildResultsSummarySearcher

    java.lang.Object
      com.atlassian.bamboo.resultsummary.search.LuceneBuildResultsSummarySearcher

    public class LuceneBuildResultsSummarySearcher

extends Object

Field Summary
`static String` | `SEARCH_LAST_30_DAYS`
`static String` | `SEARCH_LAST_7_DAYS`
`static String` | `SEARCH_LAST_90_DAYS`
`static String` | `SEARCH_RANGE`

Constructor Summary
`LuceneBuildResultsSummarySearcher(Map params)`

Method Summary
`BuildResultsSummaryDocumentFactory` | `getBuildResultsSummaryDocumentFactory()`
`IndexConnectionManager` | `getIndexConnectionManager()`
`List` | `search()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SEARCH_LAST_7_DAYS

    public static final String SEARCH_LAST_7_DAYS

See Also:
  Constant Field Values

### SEARCH_LAST_30_DAYS

    public static final String SEARCH_LAST_30_DAYS

See Also:
  Constant Field Values

### SEARCH_LAST_90_DAYS

    public static final String SEARCH_LAST_90_DAYS

See Also:
  Constant Field Values

### SEARCH_RANGE

    public static final String SEARCH_RANGE

See Also:
  Constant Field Values

Constructor Detail

### LuceneBuildResultsSummarySearcher

    public LuceneBuildResultsSummarySearcher(Map params)

Method Detail

### search

    public List search()

### getIndexConnectionManager

    public IndexConnectionManager getIndexConnectionManager()

### getBuildResultsSummaryDocumentFactory

    public BuildResultsSummaryDocumentFactory getBuildResultsSummaryDocumentFactory()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.